public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-fonts/wqy-unibit/
Date: Tue, 22 Dec 2015 07:26:39 +0000 (UTC)	[thread overview]
Message-ID: <1450769180.0046137049812994f5a57ea2ce5e7b95aea27d47.dlan@gentoo> (raw)

commit:     0046137049812994f5a57ea2ce5e7b95aea27d47
Author:     Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Tue Dec 22 07:25:27 2015 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue Dec 22 07:26:20 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00461370

media-fonts/wqy-unibit: fix perl build error

Gentoo-Bug: 553142

Package-Manager: portage-2.2.26

 .../wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild       | 38 ++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild b/media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild
new file mode 100644
index 0000000..9df9f46
--- /dev/null
+++ b/media-fonts/wqy-unibit/wqy-unibit-1.1.0_p1-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+inherit font
+
+MY_P="${PN}-bdf-${PV/_p/-}"
+DESCRIPTION="WenQuanYi Unibit CJK font"
+HOMEPAGE="http://wenq.org/enindex.cgi"
+SRC_URI="mirror://sourceforge/wqy/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE=""
+
+DEPEND="media-gfx/ebdftopcf
+	sys-apps/sed"
+RDEPEND=""
+
+S="${WORKDIR}/${PN}"
+FONT_S="${S}"
+FONT_SUFFIX="pcf.gz"
+DOCS="AUTHORS ChangeLog README"
+
+# Only installs fonts
+RESTRICT="strip binchecks"
+
+src_prepare() {
+	sed -i -e "s|$range=shift(ARGV);|$range=shift(@ARGV);|g"  \
+		bdfmerge.pl || die
+}
+
+src_compile() {
+	emake || die
+	gzip -9 wqy-unibit.pcf || die
+}


             reply	other threads:[~2015-12-22  7:26 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-12-22  7:26 Yixun Lan [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-03-04  6:51 [gentoo-commits] repo/gentoo:master commit in: media-fonts/wqy-unibit/ Thomas Deutschmann
2018-03-04  9:13 Jason Zaman
2018-05-18 22:13 Johannes Huber
2021-10-02  7:10 Yixun Lan
2022-05-25  8:29 WANG Xuerui

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1450769180.0046137049812994f5a57ea2ce5e7b95aea27d47.dlan@gentoo \
    --to=dlan@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox